org.flexdock.plaf.icons

## Class IconMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.flexdock.plaf.icons.IconMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class IconMap
    extends java.util.HashMap

Author:
  Christopher Butler
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`IconMap()`

### Method Summary

Methods
`void` `addAll(IconMap map)`
`void` `addIcons(java.lang.String key, IconResource icons)`
`IconResource` `getIcons(java.lang.String key)`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `putAll(java.util.Map m)`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### IconMap

    public IconMap()

### Method Detail

#### put

    public java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

Specified by:
  `put` in interface `java.util.Map`
Overrides:
  `put` in class `java.util.HashMap`

#### putAll

    public void putAll(java.util.Map m)

Specified by:
  `putAll` in interface `java.util.Map`
Overrides:
  `putAll` in class `java.util.HashMap`

#### addAll

    public void addAll(IconMap map)

#### getIcons

    public IconResource getIcons(java.lang.String key)

#### addIcons

    public void addIcons(java.lang.String key,
                IconResource icons)